Bug 226976 - initUser() and initGroup() treat all-digits user-/groupnames as numbers
initUser() and initGroup() treat all-digits user-/groupnames as numbers
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Depends On:
  Show dependency treegraph
Reported: 2007-02-02 08:09 EST by Nils Philippsen
Modified: 2008-05-06 15:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:09:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Use the correct types for entity values (3.62 KB, patch)
2007-02-17 08:56 EST, Miloslav Trmač
no flags Details | Diff

  None (edit)
Description Nils Philippsen 2007-02-02 08:09:29 EST
Description of problem:

The initUser() and initGroup() methods of an admin context treat all-digits
user-/groupnames as numbers and stumble over it when calling
addUser()/addGroup() later on.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

root@gibraltar:~> python
Python 2.4.4 (#1, Oct 23 2006, 13:58:00) 
[GCC 4.1.1 20061011 (Red Hat 4.1.1-30)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import libuser
>>> a = libuser.ADMIN ()
>>> u = a.initUser ('123456')
>>> u.get (libuser.USERNAME)
>>> u.set (libuser.USERNAME, '123456')
>>> u.get (libuser.USERNAME)

Actual results:

long int (or int) username

Expected results:

string username

Additional info:

when calling addUser()/addGroup() later on with such a user/group entity, you
get this:

>>> u = a.initUser ('123456')
>>> a.addUser (u)

(process:26339): GLib-GObject-CRITICAL **: g_value_get_string: assertion
`G_VALUE_HOLDS_STRING (value)' failed
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
RuntimeError: user 502 has no name
Comment 1 Miloslav Trmač 2007-02-15 11:22:54 EST
It gets worse:

>>> import libuser
>>> a = libuser.admin ()
>>> u = a.initUser ('000335')
>>> u[libuser.USERNAME]
Comment 2 Miloslav Trmač 2007-02-17 08:56:58 EST
Created attachment 148268 [details]
Use the correct types for entity values

Thanks for catching this.

Fixed in libuser-0.56-1, by using specific value types for each attribute (see
the documentation in devhelp).

The attached untested patch modifies s-c-u to use numbers instead of strings
for some of the attributes.  I can't see anything that restricts the
user-entered shadow expiration values to integers, something probably should be
Comment 3 Bug Zapper 2008-04-04 02:04:43 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 15:09:20 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.